package com.heyu.api.data.entity.system;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*系统问答和用户绑定关系
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("system_talk_bind_user")
public class SystemTalkBindUserEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.system.SystemTalkBindUserEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                     // 
    public final static String is_delete = CLASS_NAME + "is_delete";                        // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                    // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                    // 修改时间
    public final static String system_talk_id = CLASS_NAME + "system_talk_id";              // 自定义命令id
    public final static String user_id = CLASS_NAME + "user_id";                            // 用户ID
    public final static String ask_common = CLASS_NAME + "ask_common";                      // 动作后的变量，名词
    public final static String answer_value = CLASS_NAME + "answer_value";                  // 成功回答内容（传给box）
    public final static String answer_value_faild = CLASS_NAME + "answer_value_faild";      // 执行失败回答内容
    public final static String answer_action = CLASS_NAME + "answer_action";                // 回答时的动作(数字人的口型以外动作)
    public final static String answer_action_faild = CLASS_NAME + "answer_action_faild";    // 执行失败所对应动作
    public final static String answer_back_sound = CLASS_NAME + "answer_back_sound";        // 回答时的背景音乐（URL）
    public final static String answer_back_img = CLASS_NAME + "answer_back_img";            // 回答时的背景图片、视屏、动画（URL）
    public final static String remark_ = CLASS_NAME + "remark";                             // 备注
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //自定义命令id
    private Long systemTalkId;
    //用户ID
    private Long userId;
    //动作后的变量，名词
    private String askCommon;
    //成功回答内容（传给box）
    private String answerValue;
    //执行失败回答内容
    private String answerValueFaild;
    //回答时的动作(数字人的口型以外动作)
    private String answerAction;
    //执行失败所对应动作
    private String answerActionFaild;
    //回答时的背景音乐（URL）
    private String answerBackSound;
    //回答时的背景图片、视屏、动画（URL）
    private String answerBackImg;
    //备注
    private String remark;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 自定义命令id 
     * @return
     */
    public Long getSystemTalkId() {
        return systemTalkId;
    }
    /**
     * 自定义命令id 
     * @param systemTalkId
     */
    public void setSystemTalkId(Long systemTalkId) {
        this.systemTalkId = systemTalkId;
    }

    /**
     * 用户ID 
     * @return
     */
    public Long getUserId() {
        return userId;
    }
    /**
     * 用户ID 
     * @param userId
     */
    public void setUserId(Long userId) {
        this.userId = userId;
    }

    /**
     * 动作后的变量，名词 
     * @return
     */
    public String getAskCommon() {
        return askCommon;
    }
    /**
     * 动作后的变量，名词 
     * @param askCommon
     */
    public void setAskCommon(String askCommon) {
        this.askCommon = askCommon;
    }

    /**
     * 成功回答内容（传给box） 
     * @return
     */
    public String getAnswerValue() {
        return answerValue;
    }
    /**
     * 成功回答内容（传给box） 
     * @param answerValue
     */
    public void setAnswerValue(String answerValue) {
        this.answerValue = answerValue;
    }

    /**
     * 执行失败回答内容 
     * @return
     */
    public String getAnswerValueFaild() {
        return answerValueFaild;
    }
    /**
     * 执行失败回答内容 
     * @param answerValueFaild
     */
    public void setAnswerValueFaild(String answerValueFaild) {
        this.answerValueFaild = answerValueFaild;
    }

    /**
     * 回答时的动作(数字人的口型以外动作) 
     * @return
     */
    public String getAnswerAction() {
        return answerAction;
    }
    /**
     * 回答时的动作(数字人的口型以外动作) 
     * @param answerAction
     */
    public void setAnswerAction(String answerAction) {
        this.answerAction = answerAction;
    }

    /**
     * 执行失败所对应动作 
     * @return
     */
    public String getAnswerActionFaild() {
        return answerActionFaild;
    }
    /**
     * 执行失败所对应动作 
     * @param answerActionFaild
     */
    public void setAnswerActionFaild(String answerActionFaild) {
        this.answerActionFaild = answerActionFaild;
    }

    /**
     * 回答时的背景音乐（URL） 
     * @return
     */
    public String getAnswerBackSound() {
        return answerBackSound;
    }
    /**
     * 回答时的背景音乐（URL） 
     * @param answerBackSound
     */
    public void setAnswerBackSound(String answerBackSound) {
        this.answerBackSound = answerBackSound;
    }

    /**
     * 回答时的背景图片、视屏、动画（URL） 
     * @return
     */
    public String getAnswerBackImg() {
        return answerBackImg;
    }
    /**
     * 回答时的背景图片、视屏、动画（URL） 
     * @param answerBackImg
     */
    public void setAnswerBackImg(String answerBackImg) {
        this.answerBackImg = answerBackImg;
    }

    /**
     * 备注 
     * @return
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 备注 
     * @param remark
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "SystemTalkBindUserEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",systemTalkId=" + systemTalkId +
                ",userId=" + userId +
                ",askCommon=" + askCommon +
                ",answerValue=" + answerValue +
                ",answerValueFaild=" + answerValueFaild +
                ",answerAction=" + answerAction +
                ",answerActionFaild=" + answerActionFaild +
                ",answerBackSound=" + answerBackSound +
                ",answerBackImg=" + answerBackImg +
                ",remark=" + remark +
                "}";
    }
}